# Class: Haml::Escapable::EscapeSafeBuffer

Inherits:
  Struct
  - Object
  - Struct
  - Haml::Escapable::EscapeSafeBuffer
  show all

Defined in:
  lib/haml/escapable.rb

## Overview

Special value of `flag` to ignore html_safe?

## Instance Attribute Summary collapse

- #value ⇒ Object

  Returns the value of attribute value.

## Instance Attribute Details

### #value ⇒ `Object`

Returns the value of attribute value

Returns:

- (`Object`) —

  the current value of value

    8
    9
    10

    # File 'lib/haml/escapable.rb', line 8

    def value
      @value
    end